# std::basic_istream<CharT,Traits>::gcount

From cppreference.com
< cpp‎ | io‎ | basic istream

std::streamsize gcount() const; |  |

Returns the number of characters extracted by the last unformatted input operation.

The following member functions of `basic_istream` change the value of subsequent `gcount()` calls:

- move constructor
- swap()
- get()
- getline()
- ignore()
- read()
- readsome()
- operator>>(basic_streambuf*)

The following functions set `gcount()` to zero:

- constructor
- putback()
- unget()
- peek()

### Parameters

(none)

### Return value

The number of characters extracted by the last unformatted input operation

### Example

Run this code

    #include <iostream>
    #include <sstream>

    int main()
    {
        char x[20];
        std::istringstream stream("Hello World");

        stream.read(x, sizeof x);
        std::cout << "Characters extracted: " << stream.gcount();
    }

Output:

    Characters extracted: 11

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_istream/gcount&oldid=102890"